rotation = {} -- global to store everything
rotation.rotate = function(_a, _b, pointed_thing) --bogus! replace!
	local node = core.get_node(pointed_thing.under)
	if core.registered_nodes[node.name].paramtype2 ~= "facedir" then
		return
	end
	node.param2 = node.param2 + 1
	if node.param2 == 24 then node.param2 = 0 end
	core.swap_node(pointed_thing.under, node)
end
